// common Javascript functions
// What's needed:
// handle Today button set MainDate = Now ok
// handle Back button set MainDate-- loop until a pic is found or EndDate is reached ok
// handle Next button set MainDate++ loop until a pic is found or Today is reached ok
// init on page load

// build pic_url

var MaxDate;  // (today) 
var MinDate;  // (today-numdays)
var CurrDate; // (current date)

var page_url;
var pic_url;

// open comic site
function visit_site()
    {
    // get array index from option value    
	var i = document.mainfrm.comics_list.options[document.mainfrm.comics_list.selectedIndex].value
    // open in a new window comic site
    widget.openURL(Comics[i].site_url);
    };

// set date variables
function init_dates(i)
	{
	
	MaxDate = new Date();  // (today) 
	MinDate = new Date();  // (today-numdays)
	CurrDate = new Date(); // (current date)

		// set MinDate accroding to max num of days for comic		
		MinDate.setDate(MaxDate.getDate() - Comics[i].num_days);
		// reset CurrDate to today	
		CurrDate.setDate(MaxDate.getDate());
		
//		alert(MaxDate);
//		alert(MaxDate.getDate() + "-" + (MaxDate.getMonth() + 1) + "-" + MaxDate.getFullYear());
//		alert(MaxDate.formatDate(Comics[i].datefmt));
//		alert(MinDate.getDate() + "-" + (MinDate.getMonth() + 1) + "-" + MinDate.getFullYear());
		
	};
	
function dec_Date()
	{
		if (CurrDate > MinDate){
			CurrDate.setDate(CurrDate.getDate() - 1);
		}		
	};

function inc_Date()
	{
		if (CurrDate < MaxDate){
			CurrDate.setDate(CurrDate.getDate() + 1);
		}		
	};
	
function comic_change()
	{
		var i = document.mainfrm.comics_list.options[document.mainfrm.comics_list.selectedIndex].value
		if (window.widget) {
			setPreferenceForKey(i,"lastcomic");
		}
		init_dates(i);
		Get_pic_url(i);
	};

function button_today()
	{
		if (window.widget) {
			if (first_time == true) {
				first_time = false;
				var lc = getPreferenceForKey("lastcomic");
					if (lc != null) {
						var i = lc;
						document.mainfrm.comics_list.selectedIndex = i;
					}
					else {
						var i = 0;
						document.mainfrm.comics_list.selectedIndex = i;
					}
				}
			else {
				var i = document.mainfrm.comics_list.options[document.mainfrm.comics_list.selectedIndex].value;
			}
		}

//		var i = document.mainfrm.comics_list.options[document.mainfrm.comics_list.selectedIndex].value;	
		init_dates(i);
		Get_pic_url(i);
	};

function button_back()
	{
		var i = document.mainfrm.comics_list.options[document.mainfrm.comics_list.selectedIndex].value
		dec_Date();
//		alert("pre width= " + document.mainfrm.comic_img.style.width);	
//		alert("pre height= " + document.mainfrm.comic_img.style.height);	
		Get_pic_url(i);
	};

function button_next()
	{
		var i = document.mainfrm.comics_list.options[document.mainfrm.comics_list.selectedIndex].value
		inc_Date();
		Get_pic_url(i);
	};

// Used to get URL of pic files
// scanning HTML code to find the address
// (slower, but should never fail)
function Get_pic_url(i)
	{
	if(window.widget)
	{
		setPreferenceForKey(i,"lastcomic");
	}
	//  use type to produce different page_url
	if (Comics[i].type == 0) 		// http://www.gocomics.com	
		page_url = Comics[i].site_url + CurrDate.formatDate(Comics[i].datefmt) + "/";
	else if (Comics[i].type == 1){	// http://www.comics.com
		page_url = Comics[i].site_url + Comics[i].prefix + CurrDate.formatDate(Comics[i].datefmt);
		}
		
	getPageSource(page_url);
};

var req;

function getPageSource(page_url)
	{
	req = false;
    // branch for native XMLHttpRequest object
    if(window.XMLHttpRequest && !(window.ActiveXObject)) {
    	try {
			req = new XMLHttpRequest();
        } catch(e) {
			req = false;
        }
    // branch for IE/Windows ActiveX version
    } else if(window.ActiveXObject) {
       	try {
        	req = new ActiveXObject("Msxml2.XMLHTTP");
      	} catch(e) {
        	try {
          		req = new ActiveXObject("Microsoft.XMLHTTP");
        	} catch(e) {
          		req = false;
        	}
		}
    }
	if(req) {
		req.onreadystatechange = processReqChange;
		req.open("GET", page_url, true);
		req.send("");
	}		
};
	
function processReqChange()
	{
    // only if req shows "loaded"
    if (req.readyState == 4) {
        // only if "OK"
        if (req.status == 200) {
            // ...processing statements go here...
			findPic(req.responseText);
        } else {
            alert("There was a problem accessing comic strip at:\n" + page_url);
        }
    }
};
	
function findPic(cpage) 
	{
	var i = document.mainfrm.comics_list.options[document.mainfrm.comics_list.selectedIndex].value;
	var start_pic = cpage.indexOf(Comics[i].pic_url);
	
	if (start_pic > 0){
		var end_pic = cpage.indexOf("\"", start_pic + Comics[i].pic_url.length);		
		pic_url = cpage.substring(start_pic, end_pic);
		
		if (Comics[i].type == 1){
			pic_url = pic_url.replace("SRC=\"", "http://www.comics.com");
			}
		loadImage(pic_url);
//		document.mainfrm.comic_pic.src = pic_url;
		}	
};

function loadImage(a)
	{
		new_image = new Image();
		new_image.src = a;
		document.mainfrm.comic_pic.src = new_image.src;
		resizeWidget();
};

function resizeWidget()
	{
//	alert("Loaded");
	new_width = parseInt(document.defaultView.getComputedStyle(comic_pic, '').getPropertyValue("width"));
	new_height = parseInt(document.defaultView.getComputedStyle(comic_pic, '').getPropertyValue("height"));
		
//	alert("width= " + (document.defaultView.getComputedStyle(comic_pic, '').getPropertyValue("width")));	
//	alert("height= " + (document.defaultView.getComputedStyle(comic_pic, '').getPropertyValue("height")));

//	if (new_width < 460){
//		new_width = 460;
//		}	

	delta_w = new_width - curr_width;
	delta_h = new_height - curr_height;
	
//	alert(delta_w + " " + delta_h);

	window.resizeBy(delta_w, delta_h);

//	alert("frontImg w =" + parseInt(document.defaultView.getComputedStyle(frontImg, '').getPropertyValue("width")));
//	alert("frontImg h =" + parseInt(document.defaultView.getComputedStyle(frontImg, '').getPropertyValue("height")));
	
	document.getElementById('frontImg').style.width = parseInt(document.defaultView.getComputedStyle(frontImg, '').getPropertyValue("width")) + delta_w + "px";
	document.getElementById('frontImg').style.height = parseInt(document.defaultView.getComputedStyle(frontImg, '').getPropertyValue("height")) + delta_h + "px";

// 652 x 290

	curr_width = new_width;
	curr_height = new_height;
};

function showError()
	{
		alert("Error loading pic" + this.src);
};


function createKey (key)
{
	return widget.identifier + "-" + key
}

function setPreferenceForKey (pref, key)
{
	// set both the per widget pref and the global
	widget.setPreferenceForKey(pref, createKey(key));
	widget.setPreferenceForKey(pref, key);
}


// global = boolean key comune a tutti
//        = false key solo della istanza.
function getPreferenceForKey (key)
{
	// first check to see if we have a per instance one
	var pref = widget.preferenceForKey(createKey(key));
	
	if (pref == null)
	{
		// now check the global one
		pref = widget.preferenceForKey(key);
	}
	
	return pref;
}


