	// define "comic" object ans its constructor
	// create array of comic object comics[i]
	// comics[i] = new comic(name, site_url, etc...) 
	// comics[i] = new comic("Dilbert", "http://...", etc...) 
	// array assignments are created in VB...

	// The constructor function for comic objects
	function Comic(n, s, pic, uy, up, t, g, j, pre, su, da, su, nu)
	{
		this.name = n;
		this.site_url = s;
		this.pic_url = pic;
		this.use_year = uy;
		this.use_prefix = up;
		this.type = t;
		this.gif = g;
		this.jpg = j;
		this.prefix= pre;
		this.suffix = su;
		this.datefmt = da;
		this.jpg_on_sunday=0;
		this.num_days=30;
	}

	var Comics = new Array();

    Comics[0] = new Comic( "9 Chickweed Lane", "http://www.comics.com/comics/chickweed/archive/", "SRC=\"/comics/chickweed/archive/images", "1", "1", "1", "1", "1", "chickweed", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[1] = new Comic( "Agnes", "http://www.comics.com/creators/agnes/archive/", "SRC=\"/creators/agnes/archive/images", "1", "1", "1", "1", "1", "agnes", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[2] = new Comic( "Alley Oop", "http://www.comics.com/comics/alleyoop/archive/", "SRC=\"/comics/alleyoop/archive/images", "1", "1", "1", "1", "1", "alleyoop", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[3] = new Comic( " Andy Capp", "http://www.comics.com/creators/andycapp/archive/", "SRC=\"/creators/andycapp/archive/images", "1", "1", "1", "1", "1", "andycapp", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[4] = new Comic( "Arlo & Janis", "http://www.comics.com/comics/arlonjanis/archive/", "SRC=\"/comics/arlonjanis/archive/images", "1", "1", "1", "1", "1", "arlonjanis", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[5] = new Comic( " B.C.", "http://www.comics.com/creators/bc/archive/", "SRC=\"/creators/bc/archive/images", "1", "1", "1", "1", "1", "bc", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[6] = new Comic( "Ben", "http://www.comics.com/comics/ben/archive/", "SRC=\"/comics/ben/archive/images", "1", "1", "1", "1", "1", "ben", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[7] = new Comic( "Betty", "http://www.comics.com/comics/betty/archive/", "SRC=\"/comics/betty/archive/images", "1", "1", "1", "1", "1", "betty", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[8] = new Comic( "Big Nate", "http://www.comics.com/comics/bignate/archive/", "SRC=\"/comics/bignate/archive/images", "1", "1", "1", "1", "1", "bignate", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[9] = new Comic( "The Born Loser", "http://www.comics.com/comics/bornloser/archive/", "SRC=\"/comics/bornloser/archive/images", "1", "1", "1", "1", "1", "bornloser", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[10] = new Comic( "The Buckets", "http://www.comics.com/comics/buckets/archive/", "SRC=\"/comics/buckets/archive/images", "1", "1", "1", "1", "1", "buckets", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[11] = new Comic( "Candorville", "http://www.comics.com/wash/candorville/archive/", "SRC=\"/wash/candorville/archive/images", "1", "1", "1", "1", "1", "candorville", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[12] = new Comic( "Cheap Thrills", "http://www.comics.com/wash/cheapthrills/archive/", "SRC=\"/wash/cheapthrills/archive/images", "1", "1", "1", "1", "1", "cheapthrills", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[13] = new Comic( "Cow & Boy", "http://www.comics.com/comics/cowandboy/archive/", "SRC=\"/comics/cowandboy/archive/images", "1", "1", "1", "1", "1", "cowandboy", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[14] = new Comic( "   Dilbert", "http://www.comics.com/comics/dilbert/archive/", "SRC=\"/comics/dilbert/archive/images", "1", "1", "1", "1", "1", "dilbert", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[15] = new Comic( "Dog eat Doug", "http://www.comics.com/creators/dogeat/archive/", "SRC=\"/creators/dogeat/archive/images", "1", "1", "1", "1", "1", "dogeat", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[16] = new Comic( "Drabble", "http://www.comics.com/comics/drabble/archive/", "SRC=\"/comics/drabble/archive/images", "1", "1", "1", "1", "1", "drabble", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[17] = new Comic( "Fat Cats Classics", "http://www.comics.com/comics/fatcats/archive/", "SRC=\"/comics/fatcats/archive/images", "1", "1", "1", "1", "1", "fatcats", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[18] = new Comic( "Ferd\'nand", "http://www.comics.com/comics/ferdnand/archive/", "SRC=\"/comics/ferdnand/archive/images", "1", "1", "1", "1", "1", "ferdnand", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[19] = new Comic( "Flo & Friends", "http://www.comics.com/creators/floandfriends/archive/", "SRC=\"/creators/floandfriends/archive/images", "1", "1", "1", "1", "1", "floandfriends", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[20] = new Comic( "F Minus", "http://www.comics.com/comics/fminus/archive/", "SRC=\"/comics/fminus/archive/images", "1", "1", "1", "1", "1", "fminus", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[21] = new Comic( " Frank and Ernest", "http://www.comics.com/comics/franknernest/archive/", "SRC=\"/comics/franknernest/archive/images", "1", "1", "1", "1", "1", "franknernest", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[22] = new Comic( "Frazz", "http://www.comics.com/comics/frazz/archive/", "SRC=\"/comics/frazz/archive/images", "1", "1", "1", "1", "1", "frazz", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[23] = new Comic( "Geech Classics", "http://www.comics.com/comics/geech/archive/", "SRC=\"/comics/geech/archive/images", "1", "1", "1", "1", "1", "geech", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[24] = new Comic( "Get Fuzzy", "http://www.comics.com/comics/getfuzzy/archive/", "SRC=\"/comics/getfuzzy/archive/images", "1", "1", "1", "1", "1", "getfuzzy", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[25] = new Comic( "Girls & Sports", "http://www.comics.com/creators/girls/archive/", "SRC=\"/creators/girls/archive/images", "1", "1", "1", "1", "1", "girls", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[26] = new Comic( "Grand Avenue", "http://www.comics.com/comics/grandave/archive/", "SRC=\"/comics/grandave/archive/images", "1", "1", "1", "1", "1", "grandave", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[27] = new Comic( "The Grizzwells", "http://www.comics.com/comics/grizzwells/archive/", "SRC=\"/comics/grizzwells/archive/images", "1", "1", "1", "1", "1", "grizzwells", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[28] = new Comic( "Herb and Jamaal", "http://www.comics.com/creators/herbnjamaal/archive/", "SRC=\"/creators/herbnjamaal/archive/images", "1", "1", "1", "1", "1", "herbnjamaal", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[29] = new Comic( "The Humble Stumble", "http://www.comics.com/comics/humblestumble/archive/", "SRC=\"/comics/humblestumble/archive/images", "1", "1", "1", "1", "1", "humblestumble", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[30] = new Comic( "Jump Start", "http://www.comics.com/comics/jumpstart/archive/", "SRC=\"/comics/jumpstart/archive/images", "1", "1", "1", "1", "1", "jumpstart", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[31] = new Comic( "Liberty Meadows", "http://www.comics.com/creators/liberty/archive/", "SRC=\"/creators/liberty/archive/images", "1", "1", "1", "1", "1", "liberty", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[32] = new Comic( "Li\'l Abner Classics", "http://www.comics.com/comics/lilabner/archive/", "SRC=\"/comics/lilabner/archive/images", "1", "1", "1", "1", "1", "lilabner", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[33] = new Comic( "The Meaning of Lila", "http://www.comics.com/creators/lila/archive/", "SRC=\"/creators/lila/archive/images", "1", "1", "1", "1", "1", "lila", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[34] = new Comic( "Lola", "http://www.comics.com/comics/lola/archive/", "SRC=\"/comics/lola/archive/images", "1", "1", "1", "1", "1", "lola", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[35] = new Comic( "Luann", "http://www.comics.com/comics/luann/archive/", "SRC=\"/comics/luann/archive/images", "1", "1", "1", "1", "1", "luann", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[36] = new Comic( "Meg! Classics", "http://www.comics.com/comics/meg/archive/", "SRC=\"/comics/meg/archive/images", "1", "1", "1", "1", "1", "meg", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[37] = new Comic( " Momma", "http://www.comics.com/creators/momma/archive/", "SRC=\"/creators/momma/archive/images", "1", "1", "1", "1", "1", "momma", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[38] = new Comic( "Monty", "http://www.comics.com/comics/monty/archive/", "SRC=\"/comics/monty/archive/images", "1", "1", "1", "1", "1", "monty", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[39] = new Comic( "Motley Classics", "http://www.comics.com/comics/motley/archive/", "SRC=\"/comics/motley/archive/images", "1", "1", "1", "1", "1", "motley", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[40] = new Comic( "Nancy", "http://www.comics.com/comics/nancy/archive/", "SRC=\"/comics/nancy/archive/images", "1", "1", "1", "1", "1", "nancy", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[41] = new Comic( "On a Claire Day", "http://www.comics.com/creators/claireday/archive/", "SRC=\"/creators/claireday/archive/images", "1", "1", "1", "1", "1", "claireday", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[42] = new Comic( "One Big Happy Classics", "http://www.comics.com/creators/onebighappy/archive/", "SRC=\"/creators/onebighappy/archive/images", "1", "1", "1", "1", "1", "onebighappy", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[43] = new Comic( "The Other Coast", "http://www.comics.com/creators/othercoast/archive/", "SRC=\"/creators/othercoast/archive/images", "1", "1", "1", "1", "1", "othercoast", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[44] = new Comic( "Over the Hedge", "http://www.comics.com/comics/hedge/archive/", "SRC=\"/comics/hedge/archive/images", "1", "1", "1", "1", "1", "hedge", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[45] = new Comic( " Peanuts", "http://www.comics.com/comics/peanuts/archive/", "SRC=\"/comics/peanuts/archive/images/peanuts", "1", "1", "1", "1", "1", "peanuts", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[46] = new Comic( "Pearls Before Swine", "http://www.comics.com/comics/pearls/archive/", "SRC=\"/comics/pearls/archive/images", "1", "1", "1", "1", "1", "pearls", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[47] = new Comic( "Pickles", "http://www.comics.com/wash/pickles/archive/", "SRC=\"/wash/pickles/archive/images", "1", "1", "1", "1", "1", "pickles", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[48] = new Comic( "Raising Duncan", "http://www.comics.com/comics/raisingduncan/archive/", "SRC=\"/comics/raisingduncan/archive/images", "1", "1", "1", "1", "1", "raisingduncan", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[49] = new Comic( "Red & Rover", "http://www.comics.com/wash/redandrover/archive/", "SRC=\"/wash/redandrover/archive/images", "1", "1", "1", "1", "1", "redandrover", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[50] = new Comic( "Rose Is Rose", "http://www.comics.com/comics/roseisrose/archive/", "SRC=\"/comics/roseisrose/archive/images", "1", "1", "1", "1", "1", "roseisrose", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[51] = new Comic( "Rudy Park", "http://www.comics.com/comics/rudypark/archive/", "SRC=\"/comics/rudypark/archive/images", "1", "1", "1", "1", "1", "rudypark", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[52] = new Comic( "Shirley And Son Classics", "http://www.comics.com/comics/shirleynson/archive/", "SRC=\"/comics/shirleynson/archive/images", "1", "1", "1", "1", "1", "shirleynson", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[53] = new Comic( "Snoopy.com", "http://www.comics.com/comics/peanuts/archive/", "SRC=\"/comics/peanuts/archive/images/peanuts", "1", "1", "1", "1", "1", "peanuts", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[54] = new Comic( "Soup To Nutz", "http://www.comics.com/comics/soup2nutz/archive/", "SRC=\"/comics/soup2nutz/archive/images", "1", "1", "1", "1", "1", "soup2nutz", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[55] = new Comic( "Spot The Frog", "http://www.comics.com/comics/spotthefrog/archive/", "SRC=\"/comics/spotthefrog/archive/images", "1", "1", "1", "1", "1", "spotthefrog", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[56] = new Comic( "State of the Union", "http://www.comics.com/creators/union/archive/", "SRC=\"/creators/union/archive/images", "1", "1", "1", "1", "1", "union", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[57] = new Comic( "The Sunshine Club", "http://www.comics.com/comics/sunshineclub/archive/", "SRC=\"/comics/sunshineclub/archive/images", "1", "1", "1", "1", "1", "sunshineclub", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[58] = new Comic( "Tarzan Classics", "http://www.comics.com/comics/tarzan/archive/", "SRC=\"/comics/tarzan/archive/images", "1", "1", "1", "1", "1", "tarzan", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[59] = new Comic( "Watch Your Head", "http://www.comics.com/wash/watch/archive/", "SRC=\"/wash/watch/archive/images", "1", "1", "1", "1", "1", "watch", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[60] = new Comic( " Wizard of Id", "http://www.comics.com/creators/wizardofid/archive/", "SRC=\"/creators/wizardofid/archive/images", "1", "1", "1", "1", "1", "wizardofid", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[61] = new Comic( "Zack Hill", "http://www.comics.com/creators/zack/archive/", "SRC=\"/creators/zack/archive/images", "1", "1", "1", "1", "1", "zack", "", "-Ymd.\\h\\t\\m\\l", "0", "0");
    Comics[62] = new Comic( "Adam@Home", "http://www.gocomics.com/adamathome/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "ad", "", "Y/m/d", "0", "0");
    Comics[63] = new Comic( "Animal Crackers", "http://www.gocomics.com/animalcrackers/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "tmani", "", "Y/m/d", "0", "0");
    Comics[64] = new Comic( "Annie", "http://www.gocomics.com/annie/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "tmann", "", "Y/m/d", "0", "0");
    Comics[65] = new Comic( "Baldo", "http://www.gocomics.com/baldo/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "ba", "", "Y/m/d", "0", "0");
    Comics[66] = new Comic( "Big Top", "http://www.gocomics.com/bigtop/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "bt", "", "Y/m/d", "0", "0");
    Comics[67] = new Comic( " Bloom County", "http://www.gocomics.com/bloomcounty/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "blm", "", "Y/m/d", "0", "0");
    Comics[68] = new Comic( "Bob the Squirrel", "http://www.gocomics.com/bobthesquirrel/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "bob", "", "Y/m/d", "0", "0");
    Comics[69] = new Comic( "The Boondocks", "http://www.gocomics.com/boondocks/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "bo", "", "Y/m/d", "0", "0");
    Comics[70] = new Comic( "Bound and Gagged", "http://www.gocomics.com/boundandgagged/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "tmbou", "", "Y/m/d", "0", "0");
    Comics[71] = new Comic( "Brenda Starr", "http://www.gocomics.com/brendastarr/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "tmbre", "", "Y/m/d", "0", "0");
    Comics[72] = new Comic( "Brewster Rockit", "http://www.gocomics.com/brewsterrockit/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "tmrkt", "", "Y/m/d", "0", "0");
    Comics[73] = new Comic( "Broom Hilda", "http://www.gocomics.com/broomhilda/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "tmbro", "", "Y/m/d", "0", "0");
    Comics[74] = new Comic( " Calvin and Hobbes", "http://www.gocomics.com/calvinandhobbes/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "ch", "", "Y/m/d", "0", "0");
    Comics[75] = new Comic( "Cathy", "http://www.gocomics.com/cathy/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "ca", "", "Y/m/d", "0", "0");
    Comics[76] = new Comic( "Clear Blue Water", "http://www.gocomics.com/clearbluewater/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "cbw", "", "Y/m/d", "0", "0");
    Comics[77] = new Comic( "Cleats", "http://www.gocomics.com/cleats/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "cle", "", "Y/m/d", "0", "0");
    Comics[78] = new Comic( "Dick Tracy", "http://www.gocomics.com/dicktracy/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "tmdic", "", "Y/m/d", "0", "0");
    Comics[79] = new Comic( "Doonesbury", "http://www.gocomics.com/doonesbury/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "db", "", "Y/m/d", "0", "0");
    Comics[80] = new Comic( "The Duplex", "http://www.gocomics.com/duplex/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "dp", "", "Y/m/d", "0", "0");
    Comics[81] = new Comic( "The Elderberries", "http://www.gocomics.com/theelderberries/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "eld", "", "Y/m/d", "0", "0");
    Comics[82] = new Comic( "For Better or For Worse", "http://www.gocomics.com/forbetterorforworse/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "fb", "", "Y/m/d", "0", "0");
    Comics[83] = new Comic( "FoxTrot Classics", "http://www.gocomics.com/foxtrotclassics/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "ftcl", "", "Y/m/d", "0", "0");
    Comics[84] = new Comic( "Fred Basset", "http://www.gocomics.com/fredbasset/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "tmfba", "", "Y/m/d", "0", "0");
    Comics[85] = new Comic( "The Fusco Brothers", "http://www.gocomics.com/thefuscobrothers/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "fu", "", "Y/m/d", "0", "0");
    Comics[86] = new Comic( " Garfield", "http://www.gocomics.com/garfield/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "ga", "", "Y/m/d", "0", "0");
    Comics[87] = new Comic( "Gasoline Alley", "http://www.gocomics.com/gasolinealley/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "tmgas", "", "Y/m/d", "0", "0");
    Comics[88] = new Comic( "Gil Thorp", "http://www.gocomics.com/gilthorp/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "tmgil", "", "Y/m/d", "0", "0");
    Comics[89] = new Comic( "Ginger Meggs", "http://www.gocomics.com/gingermeggs/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "gin", "", "Y/m/d", "0", "0");
    Comics[90] = new Comic( "Heart of the City", "http://www.gocomics.com/heartofthecity/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "hc", "", "Y/m/d", "0", "0");
    Comics[91] = new Comic( "Housebroken", "http://www.gocomics.com/housebroken/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "tmhou", "", "Y/m/d", "0", "0");
    Comics[92] = new Comic( "Ink Pen", "http://www.gocomics.com/inkpen/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "ink", "", "Y/m/d", "0", "0");
    Comics[93] = new Comic( "La Cucaracha", "http://www.gocomics.com/lacucaracha/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "lc", "", "Y/m/d", "0", "0");
    Comics[94] = new Comic( "Lio", "http://www.gocomics.com/lio/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "lio", "", "Y/m/d", "0", "0");
    Comics[95] = new Comic( "The Middletons", "http://www.gocomics.com/themiddletons/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "tmmid", "", "Y/m/d", "0", "0");
    Comics[96] = new Comic( "Nest Heads", "http://www.gocomics.com/nestheads/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "cpnst", "", "Y/m/d", "0", "0");
    Comics[97] = new Comic( "NEUROTICA", "http://www.gocomics.com/neurotica/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "neu", "", "Y/m/d", "0", "0");
    Comics[98] = new Comic( "Non Sequitur", "http://www.gocomics.com/nonsequitur/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "nq", "", "Y/m/d", "0", "0");
    Comics[99] = new Comic( "The Norm", "http://www.gocomics.com/thenorm/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "kfnrm", "", "Y/m/d", "0", "0");
    Comics[100] = new Comic( "One Big Happy", "http://www.gocomics.com/onebighappy/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "crobh", "", "Y/m/d", "0", "0");
    Comics[101] = new Comic( "Overboard", "http://www.gocomics.com/overboard/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "ob/20", "", "Y/m/d", "0", "0");
    Comics[102] = new Comic( "Pooch Cafe", "http://www.gocomics.com/poochcafe/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "poc", "", "Y/m/d", "0", "0");
    Comics[103] = new Comic( "PreTeena", "http://www.gocomics.com/preteena/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "pr", "", "Y/m/d", "0", "0");
    Comics[104] = new Comic( "Prickly City", "http://www.gocomics.com/pricklycity/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "prc", "", "Y/m/d", "0", "0");
    Comics[105] = new Comic( "Ronaldinho Gaucho", "http://www.gocomics.com/ronaldinhogaucho/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "ron", "", "Y/m/d", "0", "0");
    Comics[106] = new Comic( "Shoe", "http://www.gocomics.com/shoe/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "tmsho", "", "Y/m/d", "0", "0");
    Comics[107] = new Comic( "Stone Soup", "http://www.gocomics.com/stonesoup/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "ss", "", "Y/m/d", "0", "0");
    Comics[108] = new Comic( "Sylvia", "http://www.gocomics.com/sylvia/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "tmsyl", "", "Y/m/d", "0", "0");
    Comics[109] = new Comic( "Tank McNamara", "http://www.gocomics.com/tankmcnamara/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "tm", "", "Y/m/d", "0", "0");
    Comics[110] = new Comic( "Teenage Mutant Ninja Turtles", "http://www.gocomics.com/teenagemutantninjaturtles/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "tmnt", "", "Y/m/d", "0", "0");
    Comics[111] = new Comic( "Trevor", "http://www.gocomics.com/trevor/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "trev", "", "Y/m/d", "0", "0");
    Comics[112] = new Comic( "Wee Pals", "http://www.gocomics.com/weepals/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "crwee", "", "Y/m/d", "0", "0");
    Comics[113] = new Comic( "Winnie the Pooh", "http://www.gocomics.com/winniethepooh/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "crwin", "", "Y/m/d", "0", "0");
    Comics[114] = new Comic( "Yenny", "http://www.gocomics.com/yenny/", "http://picayune.uclick.com/comics/", "1", "1", "0", "1", "0", "yen", "", "Y/m/d", "0", "0");

    function compare(a, b)
    {
    return (b.name < a.name) - (a.name < b.name);
    };

    Comics.sort(compare);
	
	var first_time;
	var curr_width;
	var curr_height;

	curr_width = 600;
	curr_height = 208;
    
    //debug only
    //    	for (var i = 0; i < Comics.length; i++) {
	//      document.write("<p>[" + i + "] "  + Comics[i].name + " " + Comics[i].site_url  + " " + Comics[i].pic_url + "</p>" );
	//      }
